# RPM specfile for the UpdateBackupRFS package
# Copyright 2009 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW February 2009
# SCCS: @(#)UpdateBackupRFS.spec	1.3 11/20/19 20:08:30
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name UpdateBackupRFS
%define version 1.3
%define release 0.0

Summary: Freshen a backup partition of a system's Root File System
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/UpdateBackupRFS-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch

License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root

# Cope with package name change                                                                                       
%if 0%{?rhel} >= 8 || 0%{?fedora} >= 30                                                                               
%define perlPackage perl-interpreter                                                                                  
%else                                                                                                                 
%define perlPackage perl                                                                                              
%endif

%if 0%{?rhel} >= 5
Requires: ksh coreutils %{perlPackage} gawk grep util-linux e2fsprogs cpio findutils
%else
Requires: pdksh coreutils %{perlPackage} gawk grep util-linux e2fsprogs cpio findutils
%endif
# Do not include reiserfs as a Require since this is optional
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
Maintaining a backup copy of a system's RFS can be useful if the RFS becomes unusable
and booting from CD/network is difficult.
This will allow the system to boot and use it as the Root File System so that
the normal Root File System can be repaired.

UpdateBackupRFS automates the process of taking a backup copy on a disk partition
that is mounted at /RFS.BAK.
%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/UpdateBackupRFS
%doc TODO Hacks License Contributors README
%{_mandir}/man*/UpdateBackupRFS.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Mon Dec 27 2010 Alain Williams <addw@phcomp.co.uk>
- Wrap up small changes: documentation & argument processing
* Tue Feb 03 2009 Alain Williams <addw@phcomp.co.uk>
- First as RPM.
